mcl_weather.nether_dust = {}
mcl_weather.nether_dust.particlespawners = {}

local psdef= {
	amount = 99,
	time = 0,
	minpos = vector.new(-25,0,-25),
	maxpos =vector.new(25,4,25),
	minvel = vector.new(-0.3,-0.15,-1),
	maxvel = vector.new(0.3,0.15,0.3),
	minacc = vector.new(-1,-0.4,-1),
	maxacc = vector.new(1,0.4,1),
	minexptime = 1,
	maxexptime = 1,
	minsize = 0.1,
	maxsize = 2,
	collisiondetection = false,
	collision_removal = false,
	object_collision = false,
	vertical = false,
	glow = math.random(0,minetest.LIGHT_MAX)
}

local function check_player(player)
	local name=player:get_player_name(name)
	if mcl_worlds.has_dust(player:get_pos()) and not mcl_weather.nether_dust.particlespawners[name] then
		return true
	end	
end

mcl_weather.nether_dust.add_particlespawners = function(player)
	if not check_player(player) then return end
	local name=player:get_player_name(name)
	mcl_weather.nether_dust.particlespawners[name]={}
	psdef.playername = name
	psdef.attached = player
	for i=1,3 do
		psdef.texture="mcl_particles_nether_dust"..i..".png"
		mcl_weather.nether_dust.particlespawners[name][i]=minetest.add_particlespawner(psdef)
	end
end

mcl_weather.nether_dust.delete_particlespawners = function(player)
	local name=player:get_player_name(name)
	if mcl_weather.nether_dust.particlespawners[name] then
		for i=1,3 do
			minetest.delete_particlespawner(mcl_weather.nether_dust.particlespawners[name][i])
		end
		mcl_weather.nether_dust.particlespawners[name]=nil		
	end
end

mcl_worlds.register_on_dimension_change(function(player, dimension)
	if dimension == "nether" then
		if check_player(player) then
			mcl_weather.nether_dust.add_particlespawners(player)
		end
	else
		mcl_weather.nether_dust.delete_particlespawners(player)
	end
end)

minetest.register_on_joinplayer(function(player)
	if check_player(player) then
		mcl_weather.nether_dust.add_particlespawners(player)
	end
end)
minetest.register_on_leaveplayer(function(player)
	mcl_weather.nether_dust.delete_particlespawners(player)
end)