mcl_weather.thunder = {
  min_delay = 3,
  max_delay = 12
}
lightning.auto=false

local thunderactive=false

local function do_thunder(start)
  if (start and not thunderactive) or mcl_weather.current == "thunder" then
    local delay = math.random(mcl_weather.thunder.min_delay, mcl_weather.thunder.max_delay)
    minetest.after(delay,do_thunder)
    thunderactive=true
  else
    thunderactive=false
  end
  minetest.chat_send_all("thunder "..mcl_weather.current)
	lightning.strike()
end

mcl_weather.register_weather("thunder",{
	light_factor = 0.33,
	cloudcolor= "#3D3D3FE8" ,
	sound = "weather_rain",
	-- 10min - 20min
	min_duration = 600,
	max_duration = 1200,
	transitions = {
		[100] = "rain"
	},
	skylayer= {{r=0, g=0, b=0},
      {r=40, g=40, b=40},
      {r=85, g=86, b=86},
      {r=40, g=40, b=40},
      {r=0, g=0, b=0}},
	particlespawners = {
		{
			amount = 1200,
			time = 0,
			minpos = vector.new(-15,5,-15),
			maxpos =vector.new(15,10,15),
			minvel = vector.new(0,-8,0),
			maxvel = vector.new(0,-12,0),
			minacc = vector.new(0,-20,0),
			maxacc = vector.new(0,-30,0),
			minexptime = 1,
			maxexptime = 1,
			minsize = 2,
			maxsize = 7,
			collisiondetection = true,
			collision_removal = true,
			object_collision = true,
			vertical = true,
			glow = 1,
			texture="weather_pack_rain_raindrop_1.png"
		},
		{
			amount = 800,
			time = 0,
			minpos = vector.new(-15,5,-15),
			maxpos =vector.new(15,15,15),
			minvel = vector.new(0,-8,0),
			maxvel = vector.new(0,-12,0),
			minacc = vector.new(0,-20,0),
			maxacc = vector.new(0,-40,0),
			minexptime = 1,
			maxexptime = 1,
			minsize = 1,
			maxsize = 5,
			collisiondetection = true,
			collision_removal = true,
			object_collision = true,
			vertical = true,
			glow = 1,
			texture="weather_pack_rain_raindrop_2.png"
		},
		{
			amount = 350,
			time = 0,
			minpos = vector.new(-5,0,-5),
			maxpos = vector.new(5,2,5),
			minvel = vector.new(-4, 5,-4),
			maxvel = vector.new(4,10,4),
			minacc = vector.new(0,10,0),
			maxacc = vector.new(0,30,0),
			minexptime = 0.01,
			maxexptime = 0.04,
			minsize = 1,
			maxsize = 3,
			collisiondetection = true,
			collision_removal = true,
			object_collision = true,
			vertical = true,
			texture = "weather_pack_rain_raindrop_2.png",
			glow = 1
		}
	},
  start = function()
    do_thunder(true)
  end,
  clear = function()
		mcl_weather.skycolor.remove_layer("lightning")
	end,
  at_pos = function(pos)
    local biome=minetest.get_biome_data(pos)
		if not mcl_worlds.has_weather(pos) and biome.heat > 95 then
			return true
		end
	end
})